var buttons = document.getElementsByTagName('button');
var $btn0 = $.single(buttons[0]);
var $btn1 = $.single(buttons[1]);
$btn0 === $btn1

$btn1.remove();
// element nie zostanie zwolniony do momentu następnego wywołania metody $.single()
